WebM Codec SDK

Data Fields
vpx_rc_config Struct Reference

Encode config sent to external rate control model. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields
int | frame_width
int | frame_height
int | show_frame_count
int | target_bitrate_kbps
int | frame_rate_num
int | frame_rate_den

## Detailed Description

Encode config sent to external rate control model.

## Field Documentation

## ◆ frame_width

int vpx_rc_config::frame_width

frame width

## ◆ frame_height

int vpx_rc_config::frame_height

frame height

## ◆ show_frame_count

int vpx_rc_config::show_frame_count

number of visible frames in the video

## ◆ target_bitrate_kbps

int vpx_rc_config::target_bitrate_kbps

Target bitrate in kilobytes per second

## ◆ frame_rate_num

int vpx_rc_config::frame_rate_num

numerator of frame rate

## ◆ frame_rate_den

int vpx_rc_config::frame_rate_den

denominator of frame rate

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h